import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const inventoryAssemblyItem of conductor.qbd.inventoryAssemblyItems.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(inventoryAssemblyItem.id);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.inventory_assembly_items.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.id)
Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.
GET
/
quickbooks-desktop
/
inventory-assembly-items
JavaScript
import Conductor from 'conductor-node';const conductor = new Conductor({ apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted});// Automatically fetches more pages as needed.for await (const inventoryAssemblyItem of conductor.qbd.inventoryAssemblyItems.list({ conductorEndUserId: 'end_usr_1234567abcdefg',})) { console.log(inventoryAssemblyItem.id);}
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
page = conductor.qbd.inventory_assembly_items.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
page = page.data[0]
print(page.id)
Filter for specific inventory assembly items by their full-name(s), case-insensitive. Like id, fullName is a unique identifier for an inventory assembly item, formed by by combining the names of its parent objects with its own name, separated by colons. For example, if an inventory assembly item is under "Assemblies" and has the name "Deluxe Kit", its fullName would be "Assemblies:Deluxe Kit".
IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.
NOTE: If any of the values you specify in this parameter are not found, the request will return an error.
The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the cursor parameter. Each response will include a nextCursor value that can be passed to subsequent requests to retrieve the next page of results.
The pagination token to fetch the next set of results when paginating with the limit parameter. Do not include this parameter on the first call. Use the nextCursor value returned in the previous response to request subsequent results.
IMPORTANT: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor. To make a run resumable, see Paging by name.
Filter for inventory assembly items updated on or after this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T00:00:00).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for inventory assembly items updated on or before this date/time. Accepts the following ISO 8601 formats:
date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-01 → 2025-01-01T23:59:59).
datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Filter for inventory assembly items whose fullName sorts at or after this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters.
When you set nameFrom or nameTo, QuickBooks returns inventory assembly items sorted by fullName in that order; without either, the order is not guaranteed. To page through inventory assembly items by name, see Paging by name.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
Filter for inventory assembly items whose fullName sorts at or before this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters. If you also set nameFrom, it must not sort after this value, or QuickBooks returns an error.
When you set nameFrom or nameTo, QuickBooks returns inventory assembly items sorted by fullName in that order; without either, the order is not guaranteed.
NOTE: If you use this parameter, you cannot also use nameContains, nameStartsWith, or nameEndsWith.
The nextCursor is a pagination token returned in the response when you use the limit parameter in your request. To retrieve subsequent pages of results, include this token as the value of the cursor request parameter in your following API calls.
NOTE: The nextCursor value remains constant throughout the pagination process for a specific list instance; continue to use the same nextCursor token in each request to fetch additional pages.
Indicates whether there are more objects to be fetched.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae2a147c25d5899be6b563f","collectionId":"d98a652d-e786-4770-b017-4197fbe10d31","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae2a147c25d5899be6b563f"},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae2a147c25d5899be6b563f","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/inventory-assembly-items/list","slug":"/api-ref/qbd/inventory-assembly-items/list","pageMetadata":{"openapi":"GET /quickbooks-desktop/inventory-assembly-items","title":"List all inventory assembly items","description":"Returns a list of inventory assembly items. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/inventory-assembly-items/list"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Returns a list of inventory assembly items. Use the \", _jsx(_components.code, {\n children: \"cursor\"\n }), \" parameter to paginate through the results.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/inventory-assembly-items","title":"List all inventory assembly items","description":"Returns a list of inventory assembly items. Use the `cursor` parameter to paginate through the results.","href":"/api-ref/qbd/inventory-assembly-items/list"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List all inventory assembly items","description":"Returns a list of inventory assembly items. Use the `cursor` parameter to paginate through the results.","security":["de89ebd8-a993-424e-affd-d4e2e9e8d666"],"parameters":["e61adb81-a880-4dc8-89f5-8426502b0ef8","bba8868d-f0f1-4246-9f98-edff6ffb0f45","379e8d58-4088-42cd-9d59-016ac1d47576","6b0f306a-3d6e-492f-b13b-af2af2d82177","31f36ac4-647d-48a8-ad2f-293d29c5e523","afde0843-a716-45a6-827a-5a440a039418","07be892d-d81c-454e-a99f-dd3752f49aff","a6086dcb-f641-4ded-946c-6e634c35111f","670a1420-9a86-466d-883d-2c02dcb94bb1","76e958e2-2083-4d5b-8329-f4d0be8f4b4b","6f2b5fdc-831b-47ae-a9c3-c187fbc3ac31","9f5fb887-9d8b-4421-906a-c946b0b7e382","4923f086-3132-48d6-b5ea-c82db47c4ab9","9c31447e-c93d-4b44-b299-cbd441c245f8"],"responses":{"200":"dcac7bde-8cdf-4ab5-ae39-6413a581b9e5"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const inventoryAssemblyItem of conductor.qbd.inventoryAssemblyItems.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(inventoryAssemblyItem.id);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.inventory_assembly_items.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.id)"}],"method":"get","type":"path","servers":["045cea4d-dfb6-46e4-9c51-52452b7b239b"],"path":"/quickbooks-desktop/inventory-assembly-items","baseUrlOptions":["https://api.conductor.is/v1"],"title":"List all inventory assembly items","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const inventoryAssemblyItem of conductor.qbd.inventoryAssemblyItems.list({\n conductorEndUserId: 'end_usr_1234567abcdefg',\n})) {\n console.log(inventoryAssemblyItem.id);\n}"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\npage = conductor.qbd.inventory_assembly_items.list(\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\npage = page.data[0]\nprint(page.id)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"e61adb81-a880-4dc8-89f5-8426502b0ef8":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"bba8868d-f0f1-4246-9f98-edff6ffb0f45":{"in":"query","name":"ids","schema":{"description":"Filter for specific inventory assembly items by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific inventory assembly items by their QuickBooks-assigned unique identifier(s).\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error."},"379e8d58-4088-42cd-9d59-016ac1d47576":{"in":"query","name":"fullNames","schema":{"description":"Filter for specific inventory assembly items by their full-name(s), case-insensitive. Like `id`, `fullName` is a unique identifier for an inventory assembly item, formed by by combining the names of its parent objects with its own `name`, separated by colons. For example, if an inventory assembly item is under \"Assemblies\" and has the `name` \"Deluxe Kit\", its `fullName` would be \"Assemblies:Deluxe Kit\".\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error.","example":["Assemblies:Deluxe Kit"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for specific inventory assembly items by their full-name(s), case-insensitive. Like `id`, `fullName` is a unique identifier for an inventory assembly item, formed by by combining the names of its parent objects with its own `name`, separated by colons. For example, if an inventory assembly item is under \"Assemblies\" and has the `name` \"Deluxe Kit\", its `fullName` would be \"Assemblies:Deluxe Kit\".\n\n**IMPORTANT**: If you include this parameter, QuickBooks will ignore all other query parameters for this request.\n\n**NOTE**: If any of the values you specify in this parameter are not found, the request will return an error."},"6b0f306a-3d6e-492f-b13b-af2af2d82177":{"in":"query","name":"limit","schema":{"default":150,"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results.","example":150,"type":"integer","minimum":1,"maximum":150,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of objects to return. Accepts values ranging from 1 to 150, defaults to 150. When used with cursor-based pagination, this parameter controls how many results are returned per page. To paginate through results, combine this with the `cursor` parameter. Each response will include a `nextCursor` value that can be passed to subsequent requests to retrieve the next page of results."},"31f36ac4-647d-48a8-ad2f-293d29c5e523":{"in":"query","name":"cursor","schema":{"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor. To make a run resumable, see [Paging by name](https://docs.conductor.is/api-ref/pagination#paging-by-name).","example":"12345678-abcd-abcd-example-1234567890ab","type":"string","uniqueKey":"","typeLabel":"string"},"description":"The pagination token to fetch the next set of results when paginating with the `limit` parameter. Do not include this parameter on the first call. Use the `nextCursor` value returned in the previous response to request subsequent results.\n\n**IMPORTANT**: The cursor is the same value for every page, and requests that send it are not idempotent: each one returns the next page. Send each request within 10 seconds of the previous response. If you miss that window or a request fails, start over without a cursor. To make a run resumable, see [Paging by name](https://docs.conductor.is/api-ref/pagination#paging-by-name)."},"afde0843-a716-45a6-827a-5a440a039418":{"in":"query","name":"status","schema":{"description":"Filter for inventory assembly items that are active, inactive, or both.","example":"active","type":"string","enum":["active","all","inactive"],"default":"active","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter for inventory assembly items that are active, inactive, or both."},"07be892d-d81c-454e-a99f-dd3752f49aff":{"in":"query","name":"updatedAfter","schema":{"description":"Filter for inventory assembly items updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-01-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items updated on or after this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **start of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T00:00:00`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"a6086dcb-f641-4ded-946c-6e634c35111f":{"in":"query","name":"updatedBefore","schema":{"description":"Filter for inventory assembly items updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.","example":"2025-02-01T12:34:56.000Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items updated on or before this date/time. Accepts the following ISO 8601 formats:\n- **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the **end of the specified day** in the local timezone of the end-user's computer (e.g., `2025-01-01` → `2025-01-01T23:59:59`).\n- **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.\n- **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone."},"670a1420-9a86-466d-883d-2c02dcb94bb1":{"in":"query","name":"nameContains","schema":{"description":"Filter for inventory assembly items whose `name` contains this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameStartsWith` or `nameEndsWith`.","example":"ABC","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items whose `name` contains this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameStartsWith` or `nameEndsWith`."},"76e958e2-2083-4d5b-8329-f4d0be8f4b4b":{"in":"query","name":"nameStartsWith","schema":{"description":"Filter for inventory assembly items whose `name` starts with this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains` or `nameEndsWith`.","example":"ABC","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items whose `name` starts with this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains` or `nameEndsWith`."},"6f2b5fdc-831b-47ae-a9c3-c187fbc3ac31":{"in":"query","name":"nameEndsWith","schema":{"description":"Filter for inventory assembly items whose `name` ends with this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains` or `nameStartsWith`.","example":"ABC","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items whose `name` ends with this substring, case-insensitive.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains` or `nameStartsWith`."},"9f5fb887-9d8b-4421-906a-c946b0b7e382":{"in":"query","name":"nameFrom","schema":{"description":"Filter for inventory assembly items whose `fullName` sorts at or after this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters.\n\nWhen you set `nameFrom` or `nameTo`, QuickBooks returns inventory assembly items sorted by `fullName` in that order; without either, the order is not guaranteed. To page through inventory assembly items by name, see [Paging by name](https://docs.conductor.is/api-ref/pagination#paging-by-name).\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains`, `nameStartsWith`, or `nameEndsWith`.","example":"A","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items whose `fullName` sorts at or after this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters.\n\nWhen you set `nameFrom` or `nameTo`, QuickBooks returns inventory assembly items sorted by `fullName` in that order; without either, the order is not guaranteed. To page through inventory assembly items by name, see [Paging by name](https://docs.conductor.is/api-ref/pagination#paging-by-name).\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains`, `nameStartsWith`, or `nameEndsWith`."},"4923f086-3132-48d6-b5ea-c82db47c4ab9":{"in":"query","name":"nameTo","schema":{"description":"Filter for inventory assembly items whose `fullName` sorts at or before this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters. If you also set `nameFrom`, it must not sort after this value, or QuickBooks returns an error.\n\nWhen you set `nameFrom` or `nameTo`, QuickBooks returns inventory assembly items sorted by `fullName` in that order; without either, the order is not guaranteed.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains`, `nameStartsWith`, or `nameEndsWith`.","example":"Z","type":"string","uniqueKey":"","typeLabel":"string"},"description":"Filter for inventory assembly items whose `fullName` sorts at or before this value (inclusive), compared case-insensitively in QuickBooks' sort order: punctuation first, then digits, then letters. If you also set `nameFrom`, it must not sort after this value, or QuickBooks returns an error.\n\nWhen you set `nameFrom` or `nameTo`, QuickBooks returns inventory assembly items sorted by `fullName` in that order; without either, the order is not guaranteed.\n\n**NOTE**: If you use this parameter, you cannot also use `nameContains`, `nameStartsWith`, or `nameEndsWith`."},"9c31447e-c93d-4b44-b299-cbd441c245f8":{"in":"query","name":"classIds","schema":{"description":"Filter for inventory assembly items of these classes. A class is a way end-users can categorize inventory assembly items in QuickBooks.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter for inventory assembly items of these classes. A class is a way end-users can categorize inventory assembly items in QuickBooks."}},"responses":{"dcac7bde-8cdf-4ab5-ae39-6413a581b9e5":{"description":"Returns a list of inventory assembly items.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"objectType":{"description":"The type of object. This value is always `\"list\"`.","example":"list","type":"string","const":"list","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"url":{"type":"string","description":"The endpoint URL where this list can be accessed.","example":"/v1/quickbooks-desktop/inventory-assembly-items","isRequired":true,"uniqueKey":"url","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier assigned by QuickBooks to this inventory assembly item. This ID is unique across all inventory assembly items but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"objectType":{"description":"The type of object. This value is always `\"qbd_inventory_assembly_item\"`.","example":"qbd_inventory_assembly_item","type":"string","const":"qbd_inventory_assembly_item","isRequired":true,"uniqueKey":"data.items.[INDEX].objectType","typeLabel":"string"},"createdAt":{"type":"string","description":"The date and time when this inventory assembly item was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-01-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when this inventory assembly item was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.","example":"2025-02-01T12:34:56.000Z","isRequired":true,"uniqueKey":"data.items.[INDEX].updatedAt","typeLabel":"string"},"revisionNumber":{"type":"string","description":"The current QuickBooks-assigned revision number of this inventory assembly item object, which changes each time the object is modified. When updating this object, you must provide the most recent `revisionNumber` to ensure you're working with the latest data; otherwise, the update will return an error.","example":"1721172183","isRequired":true,"uniqueKey":"data.items.[INDEX].revisionNumber","typeLabel":"string"},"name":{"type":"string","description":"The case-insensitive name of this inventory assembly item. Not guaranteed to be unique because it does not include the names of its hierarchical parent objects like `fullName` does. For example, two inventory assembly items could both have the `name` \"Deluxe Kit\", but they could have unique `fullName` values, such as \"Assemblies:Deluxe Kit\" and \"Inventory:Deluxe Kit\".","example":"Deluxe Kit","isRequired":true,"uniqueKey":"data.items.[INDEX].name","typeLabel":"string"},"fullName":{"type":"string","description":"The case-insensitive fully-qualified unique name of this inventory assembly item, formed by combining the names of its hierarchical parent objects with its own `name`, separated by colons. For example, if an inventory assembly item is under \"Assemblies\" and has the `name` \"Deluxe Kit\", its `fullName` would be \"Assemblies:Deluxe Kit\".\n\n**NOTE**: Unlike `name`, `fullName` is guaranteed to be unique across all inventory assembly item objects. However, `fullName` can still be arbitrarily changed by the QuickBooks user when they modify the underlying `name` field.","example":"Assemblies:Deluxe Kit","isRequired":true,"uniqueKey":"data.items.[INDEX].fullName","typeLabel":"string"},"barcode":{"oneOf":[{"type":"string","description":"The inventory assembly item's barcode.","example":"012345678905","isRequired":true,"uniqueKey":"data.items.[INDEX].barcode.oneOf.0","typeLabel":"string"},{"type":"null","description":"The inventory assembly item's barcode.","example":"012345678905","isRequired":true,"uniqueKey":"data.items.[INDEX].barcode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].barcode","typeLabel":"string | null"},"isActive":{"type":"boolean","description":"Indicates whether this inventory assembly item is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to `true`.","example":true,"isRequired":true,"uniqueKey":"data.items.[INDEX].isActive","typeLabel":"boolean"},"class":{"oneOf":[{"type":"object","description":"The inventory assembly item's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Finished Goods"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.0","typeLabel":"object"},{"type":"null","description":"The inventory assembly item's class. Classes can be used to categorize objects into meaningful segments, such as department, location, or type of work. In QuickBooks, class tracking is off by default.","example":{"id":"80000001-1234567890","fullName":"Finished Goods"},"isRequired":true,"uniqueKey":"data.items.[INDEX].class.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].class","typeLabel":"object | null"},"parent":{"oneOf":[{"type":"object","description":"The parent inventory assembly item one level above this one in the hierarchy. For example, if this inventory assembly item has a `fullName` of \"Assemblies:Deluxe Kit\", its parent has a `fullName` of \"Assemblies\". If this inventory assembly item is at the top level, this field will be `null`.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Assemblies"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.0","typeLabel":"object"},{"type":"null","description":"The parent inventory assembly item one level above this one in the hierarchy. For example, if this inventory assembly item has a `fullName` of \"Assemblies:Deluxe Kit\", its parent has a `fullName` of \"Assemblies\". If this inventory assembly item is at the top level, this field will be `null`.","example":{"id":"80000001-1234567890","fullName":"Assemblies"},"isRequired":true,"uniqueKey":"data.items.[INDEX].parent.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].parent","typeLabel":"object | null"},"sublevel":{"type":"number","description":"The depth level of this inventory assembly item in the hierarchy. A top-level inventory assembly item has a `sublevel` of 0; each subsequent sublevel increases this number by 1. For example, an inventory assembly item with a `fullName` of \"Assemblies:Deluxe Kit\" would have a `sublevel` of 1.","example":1,"isRequired":true,"uniqueKey":"data.items.[INDEX].sublevel","typeLabel":"number"},"sku":{"oneOf":[{"type":"string","description":"The inventory assembly item's stock keeping unit (SKU), which is sometimes the manufacturer's part number.","example":"MPN-123456","isRequired":true,"uniqueKey":"data.items.[INDEX].sku.oneOf.0","typeLabel":"string"},{"type":"null","description":"The inventory assembly item's stock keeping unit (SKU), which is sometimes the manufacturer's part number.","example":"MPN-123456","isRequired":true,"uniqueKey":"data.items.[INDEX].sku.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].sku","typeLabel":"string | null"},"unitOfMeasureSet":{"oneOf":[{"type":"object","description":"The unit-of-measure set associated with this inventory assembly item, which consists of a base unit and related units.\n\nIMPORTANT: Right after QuickBooks Desktop launches, it can briefly report an alternate `id` for a unit-of-measure set, so match on `fullName` when joining to the unit-of-measure sets list.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Weight Units"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.0","typeLabel":"object"},{"type":"null","description":"The unit-of-measure set associated with this inventory assembly item, which consists of a base unit and related units.\n\nIMPORTANT: Right after QuickBooks Desktop launches, it can briefly report an alternate `id` for a unit-of-measure set, so match on `fullName` when joining to the unit-of-measure sets list.","example":{"id":"80000001-1234567890","fullName":"Weight Units"},"isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].unitOfMeasureSet","typeLabel":"object | null"},"salesTaxCode":{"oneOf":[{"type":"object","description":"The default sales-tax code for this inventory assembly item, determining whether it is taxable or non-taxable. This can be overridden at the transaction-line level.\n\nDefault codes include \"Non\" (non-taxable) and \"Tax\" (taxable), but custom codes can also be created in QuickBooks Desktop. If QuickBooks Desktop is not set up to charge sales tax (via the \"Do You Charge Sales Tax?\" preference), it assigns the default non-taxable sales-tax code configured in the company file to all sales.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Non"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.0","typeLabel":"object"},{"type":"null","description":"The default sales-tax code for this inventory assembly item, determining whether it is taxable or non-taxable. This can be overridden at the transaction-line level.\n\nDefault codes include \"Non\" (non-taxable) and \"Tax\" (taxable), but custom codes can also be created in QuickBooks Desktop. If QuickBooks Desktop is not set up to charge sales tax (via the \"Do You Charge Sales Tax?\" preference), it assigns the default non-taxable sales-tax code configured in the company file to all sales.","example":{"id":"80000001-1234567890","fullName":"Non"},"isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].salesTaxCode","typeLabel":"object | null"},"salesDescription":{"oneOf":[{"type":"string","description":"The description of this inventory assembly item that appears on sales forms (e.g., invoices, sales receipts) when sold to customers.","example":"High-quality steel bolts suitable for construction","isRequired":true,"uniqueKey":"data.items.[INDEX].salesDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of this inventory assembly item that appears on sales forms (e.g., invoices, sales receipts) when sold to customers.","example":"High-quality steel bolts suitable for construction","isRequired":true,"uniqueKey":"data.items.[INDEX].salesDescription.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].salesDescription","typeLabel":"string | null"},"salesPrice":{"oneOf":[{"type":"string","description":"The price at which this inventory assembly item is sold to customers, represented as a decimal string.","example":"19.99","isRequired":true,"uniqueKey":"data.items.[INDEX].salesPrice.oneOf.0","typeLabel":"string"},{"type":"null","description":"The price at which this inventory assembly item is sold to customers, represented as a decimal string.","example":"19.99","isRequired":true,"uniqueKey":"data.items.[INDEX].salesPrice.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].salesPrice","typeLabel":"string | null"},"incomeAccount":{"oneOf":[{"type":"object","description":"The income account used to track revenue from sales of this inventory assembly item.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Income:Product Sales"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The income account used to track revenue from sales of this inventory assembly item.","example":{"id":"80000001-1234567890","fullName":"Income:Product Sales"},"isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].incomeAccount","typeLabel":"object | null"},"purchaseDescription":{"oneOf":[{"type":"string","description":"The description of this inventory assembly item that appears on purchase forms (e.g., checks, bills, item receipts) when it is ordered or bought from vendors.","example":"Bulk purchase of steel bolts for inventory","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"The description of this inventory assembly item that appears on purchase forms (e.g., checks, bills, item receipts) when it is ordered or bought from vendors.","example":"Bulk purchase of steel bolts for inventory","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseDescription.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseDescription","typeLabel":"string | null"},"purchaseCost":{"oneOf":[{"type":"string","description":"The cost at which this inventory assembly item is purchased from vendors, represented as a decimal string.","example":"15.75","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseCost.oneOf.0","typeLabel":"string"},{"type":"null","description":"The cost at which this inventory assembly item is purchased from vendors, represented as a decimal string.","example":"15.75","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseCost.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseCost","typeLabel":"string | null"},"purchaseTaxCode":{"oneOf":[{"type":"object","description":"The tax code applied to purchases of this inventory assembly item. Applicable in regions where purchase taxes are used, such as Canada or the UK.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"GST"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.0","typeLabel":"object"},{"type":"null","description":"The tax code applied to purchases of this inventory assembly item. Applicable in regions where purchase taxes are used, such as Canada or the UK.","example":{"id":"80000001-1234567890","fullName":"GST"},"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].purchaseTaxCode","typeLabel":"object | null"},"cogsAccount":{"oneOf":[{"type":"object","description":"The Cost of Goods Sold (COGS) account for this inventory assembly item, tracking the original direct costs of producing goods sold.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Expenses:COGS"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The Cost of Goods Sold (COGS) account for this inventory assembly item, tracking the original direct costs of producing goods sold.","example":{"id":"80000001-1234567890","fullName":"Expenses:COGS"},"isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].cogsAccount","typeLabel":"object | null"},"preferredVendor":{"oneOf":[{"type":"object","description":"The preferred vendor from whom this inventory assembly item is typically purchased.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Acme Supplies Ltd."},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.0","typeLabel":"object"},{"type":"null","description":"The preferred vendor from whom this inventory assembly item is typically purchased.","example":{"id":"80000001-1234567890","fullName":"Acme Supplies Ltd."},"isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].preferredVendor","typeLabel":"object | null"},"assetAccount":{"oneOf":[{"type":"object","description":"The asset account used to track the current value of this inventory assembly item in inventory.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Assets:Inventory"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.0","typeLabel":"object"},{"type":"null","description":"The asset account used to track the current value of this inventory assembly item in inventory.","example":{"id":"80000001-1234567890","fullName":"Assets:Inventory"},"isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].assetAccount","typeLabel":"object | null"},"buildNotificationThreshold":{"oneOf":[{"type":"number","description":"The inventory assembly item's minimum quantity threshold that triggers a build notification in QuickBooks. When the sum of `quantityOnHand` (current inventory) and `quantityOnOrder` (pending purchase orders) drops below this threshold, QuickBooks will notify users that more units need to be built or assembled. This helps ensure adequate inventory levels for inventory assembly items.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].buildNotificationThreshold.oneOf.0","typeLabel":"number"},{"type":"null","description":"The inventory assembly item's minimum quantity threshold that triggers a build notification in QuickBooks. When the sum of `quantityOnHand` (current inventory) and `quantityOnOrder` (pending purchase orders) drops below this threshold, QuickBooks will notify users that more units need to be built or assembled. This helps ensure adequate inventory levels for inventory assembly items.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].buildNotificationThreshold.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].buildNotificationThreshold","typeLabel":"number | null"},"maximumQuantityOnHand":{"oneOf":[{"type":"number","description":"The maximum quantity of this inventory assembly item desired in inventory.","example":200,"isRequired":true,"uniqueKey":"data.items.[INDEX].maximumQuantityOnHand.oneOf.0","typeLabel":"number"},{"type":"null","description":"The maximum quantity of this inventory assembly item desired in inventory.","example":200,"isRequired":true,"uniqueKey":"data.items.[INDEX].maximumQuantityOnHand.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].maximumQuantityOnHand","typeLabel":"number | null"},"quantityOnHand":{"oneOf":[{"type":"number","description":"The number of units of this inventory assembly item currently in inventory. `quantityOnHand` multiplied by `averageCost` equals `totalValue` for inventory item lists. To change the `quantityOnHand` for an inventory assembly item, you must use an inventory-adjustment instead of updating the inventory assembly item directly.","example":150,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnHand.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of units of this inventory assembly item currently in inventory. `quantityOnHand` multiplied by `averageCost` equals `totalValue` for inventory item lists. To change the `quantityOnHand` for an inventory assembly item, you must use an inventory-adjustment instead of updating the inventory assembly item directly.","example":150,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnHand.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnHand","typeLabel":"number | null"},"averageCost":{"oneOf":[{"type":"string","description":"The average cost per unit of this inventory assembly item, represented as a decimal string.","example":"16.50","isRequired":true,"uniqueKey":"data.items.[INDEX].averageCost.oneOf.0","typeLabel":"string"},{"type":"null","description":"The average cost per unit of this inventory assembly item, represented as a decimal string.","example":"16.50","isRequired":true,"uniqueKey":"data.items.[INDEX].averageCost.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].averageCost","typeLabel":"string | null"},"quantityOnPurchaseOrder":{"oneOf":[{"type":"number","description":"The number of units of this inventory assembly item that have been ordered from vendors (as recorded in purchase orders) but not yet received.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnPurchaseOrder.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of units of this inventory assembly item that have been ordered from vendors (as recorded in purchase orders) but not yet received.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnPurchaseOrder.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnPurchaseOrder","typeLabel":"number | null"},"quantityOnSalesOrder":{"oneOf":[{"type":"number","description":"The number of units of this inventory assembly item that have been sold (as recorded in sales orders) but not yet fulfilled or delivered to customers.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnSalesOrder.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of units of this inventory assembly item that have been sold (as recorded in sales orders) but not yet fulfilled or delivered to customers.","example":10,"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnSalesOrder.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].quantityOnSalesOrder","typeLabel":"number | null"},"externalId":{"oneOf":[{"type":"string","description":"A globally unique identifier (GUID) you, the developer, can provide for tracking this object in your external system. This field is immutable and can only be set during object creation.","example":"12345678-abcd-1234-abcd-1234567890ab","isRequired":true,"uniqueKey":"data.items.[INDEX].externalId.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.items.[INDEX].externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].externalId","typeLabel":"string | null"},"lines":{"type":"array","items":{"type":"object","properties":{"inventoryItem":{"oneOf":[{"type":"object","description":"The inventory item associated with this inventory assembly item line.","required":["id","fullName"],"example":{"id":"80000001-1234567890","fullName":"Inventory Item"},"properties":{"id":{"oneOf":[{"type":"string","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The unique identifier assigned by QuickBooks to this object. This ID is unique across all objects of the same type, but not across different QuickBooks object types.","example":"80000001-1234567890","isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.id","typeLabel":"string | null"},"fullName":{"oneOf":[{"type":"string","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.fullName.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully-qualified unique name for this object, formed by combining the names of its parent objects with its own `name`, separated by colons. Not case-sensitive.","example":"Parent:Child:Grandchild","isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.fullName.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0.fullName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.0","typeLabel":"object"},{"type":"null","description":"The inventory item associated with this inventory assembly item line.","example":{"id":"80000001-1234567890","fullName":"Inventory Item"},"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].inventoryItem","typeLabel":"object | null"},"quantity":{"oneOf":[{"type":"number","description":"The quantity of the item associated with this inventory assembly item line. This field cannot be cleared.\n\n**NOTE**: Do not use this field if the associated item is a discount item.","example":5,"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].quantity.oneOf.0","typeLabel":"number"},{"type":"null","description":"The quantity of the item associated with this inventory assembly item line. This field cannot be cleared.\n\n**NOTE**: Do not use this field if the associated item is a discount item.","example":5,"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].quantity.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.items.[INDEX].lines.items.[INDEX].quantity","typeLabel":"number | null"}},"required":["inventoryItem","quantity"],"additionalProperties":false,"title":"The Inventory Assembly Item Line object","x-conductor-object-type":"nested","uniqueKey":"data.items.[INDEX].lines.items.[INDEX]","typeLabel":"The Inventory Assembly Item Line object · object"},"description":"The inventory assembly item's lines.","isRequired":true,"uniqueKey":"data.items.[INDEX].lines","typeLabel":"The Inventory Assembly Item Line object · object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"ownerId":{"type":"string","description":"The identifier of the owner of the custom field, which QuickBooks internally calls a \"data extension\". For public custom fields visible in the UI, such as those added by the QuickBooks user, this is always \"0\". For private custom fields that are only visible to the application that created them, this is a valid GUID identifying the owning application. Internally, Conductor always fetches all public custom fields (those with an `ownerId` of \"0\") for all objects.","example":"0","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].ownerId","typeLabel":"string"},"name":{"type":"string","description":"The name of the custom field, unique for the specified `ownerId`. For public custom fields, this name is visible as a label in the QuickBooks UI.","example":"Customer Rating","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","enum":["amount_type","date_time_type","integer_type","percent_type","price_type","quantity_type","string_1024_type","string_255_type"],"description":"The data type of this custom field.","example":"string_1024_type","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","description":"The value of this custom field. The maximum length depends on the field's data type.","example":"Premium","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields.items.[INDEX].value","typeLabel":"string"}},"required":["ownerId","name","type","value"],"additionalProperties":false,"title":"The Custom Field object","x-conductor-object-type":"nested","uniqueKey":"data.items.[INDEX].customFields.items.[INDEX]","typeLabel":"The Custom Field object · object"},"description":"The custom fields for the inventory assembly item object, added as user-defined data extensions, not included in the standard QuickBooks object.","isRequired":true,"uniqueKey":"data.items.[INDEX].customFields","typeLabel":"The Custom Field object · object[]"}},"required":["id","objectType","createdAt","updatedAt","revisionNumber","name","fullName","barcode","isActive","class","parent","sublevel","sku","unitOfMeasureSet","salesTaxCode","salesDescription","salesPrice","incomeAccount","purchaseDescription","purchaseCost","purchaseTaxCode","cogsAccount","preferredVendor","assetAccount","buildNotificationThreshold","maximumQuantityOnHand","quantityOnHand","averageCost","quantityOnPurchaseOrder","quantityOnSalesOrder","externalId","lines","customFields"],"additionalProperties":false,"title":"The Inventory Assembly Item object","x-conductor-object-type":"item","summary":"An inventory assembly item is an item that is assembled or manufactured from inventory items. The items and/or assemblies that make up the assembly are called components.","uniqueKey":"data.items.[INDEX]","typeLabel":"The Inventory Assembly Item object · object"},"description":"The array of inventory assembly items.","isRequired":true,"uniqueKey":"data","typeLabel":"The Inventory Assembly Item object · object[]"},"nextCursor":{"oneOf":[{"type":"string","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.0","typeLabel":"string"},{"type":"null","description":"The `nextCursor` is a pagination token returned in the response when you use the `limit` parameter in your request. To retrieve subsequent pages of results, include this token as the value of the `cursor` request parameter in your following API calls.\n\n**NOTE**: The `nextCursor` value remains constant throughout the pagination process for a specific list instance; continue to use the same `nextCursor` token in each request to fetch additional pages.","example":"12345678-abcd-abcd-example-1234567890ab","isRequired":true,"uniqueKey":"nextCursor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"nextCursor","typeLabel":"string | null"},"remainingCount":{"oneOf":[{"type":"number","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of objects remaining to be fetched.","example":10,"isRequired":true,"uniqueKey":"remainingCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"remainingCount","typeLabel":"number | null"},"hasMore":{"type":"boolean","description":"Indicates whether there are more objects to be fetched.","isRequired":true,"uniqueKey":"hasMore","typeLabel":"boolean"}},"required":["objectType","url","data","nextCursor","remainingCount","hasMore"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"objectType":"list","url":"/v1/quickbooks-desktop/inventory-assembly-items","data":[{"id":"80000001-1234567890","objectType":"qbd_inventory_assembly_item","createdAt":"2025-01-01T12:34:56.000Z","updatedAt":"2025-02-01T12:34:56.000Z","revisionNumber":"1721172183","name":"Deluxe Kit","fullName":"Assemblies:Deluxe Kit","barcode":"012345678905","isActive":true,"class":{"id":"80000001-1234567890","fullName":"Finished Goods"},"parent":{"id":"80000001-1234567890","fullName":"Assemblies"},"sublevel":1,"sku":"MPN-123456","unitOfMeasureSet":{"id":"80000001-1234567890","fullName":"Weight Units"},"salesTaxCode":{"id":"80000001-1234567890","fullName":"Non"},"salesDescription":"High-quality steel bolts suitable for construction","salesPrice":"19.99","incomeAccount":{"id":"80000001-1234567890","fullName":"Income:Product Sales"},"purchaseDescription":"Bulk purchase of steel bolts for inventory","purchaseCost":"15.75","purchaseTaxCode":{"id":"80000001-1234567890","fullName":"GST"},"cogsAccount":{"id":"80000001-1234567890","fullName":"Expenses:COGS"},"preferredVendor":{"id":"80000001-1234567890","fullName":"Acme Supplies Ltd."},"assetAccount":{"id":"80000001-1234567890","fullName":"Assets:Inventory"},"buildNotificationThreshold":10,"maximumQuantityOnHand":200,"quantityOnHand":150,"averageCost":"16.50","quantityOnPurchaseOrder":10,"quantityOnSalesOrder":10,"externalId":"12345678-abcd-1234-abcd-1234567890ab","lines":[{"inventoryItem":{"id":"80000001-1234567890","fullName":"Inventory Item"},"quantity":5}],"customFields":[{"ownerId":"0","name":"Customer Rating","type":"string_1024_type","value":"Premium"}]}],"nextCursor":"12345678-abcd-abcd-example-1234567890ab","remainingCount":10,"hasMore":true}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"de89ebd8-a993-424e-affd-d4e2e9e8d666":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"045cea4d-dfb6-46e4-9c51-52452b7b239b":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"List all inventory assembly items - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T20:40:22.671Z","originalFileLocation":"api-ref/qbd/inventory-assembly-items/list.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List all inventory assembly items - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Inventory+Assembly+Items\u0026amp;title=List+all+inventory+assembly+items\u0026amp;description=Returns+a+list+of+inventory+assembly+items.+Use+the+%60cursor%60+parameter+to+paginate+through+the+results.\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=2e933855a88b1351dc5fb9f51ea3f2e4c2c72a17816c4a5ea0652c1044f2951d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List all inventory assembly items - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Inventory+Assembly+Items\u0026amp;title=List+all+inventory+assembly+items\u0026amp;description=Returns+a+list+of+inventory+assembly+items.+Use+the+%60cursor%60+parameter+to+paginate+through+the+results.\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=2e933855a88b1351dc5fb9f51ea3f2e4c2c72a17816c4a5ea0652c1044f2951d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/inventory-assembly-items/list.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list\",\"name\":\"List all inventory assembly items\",\"description\":\"Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.\",\"dateModified\":\"2026-01-27T20:40:22.671Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Items\",\"item\":\"https://docs.conductor.is/api-ref/qbd/discount-items/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Inventory Assembly Items\",\"item\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List all inventory assembly items\",\"item\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list#apireference\",\"headline\":\"List all inventory assembly items\",\"name\":\"List all inventory assembly items\",\"description\":\"Returns a list of inventory assembly items. Use the cursor parameter to paginate through the results.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/inventory-assembly-items/list#webpage\"},\"dateModified\":\"2026-01-27T20:40:22.671Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}","title":"Update a credit card charge","href":"/api-ref/qbd/credit-card-charges/update"},{"openapi":"GET /quickbooks-desktop/credit-card-charges/{id}","title":"Retrieve a credit card charge","href":"/api-ref/qbd/credit-card-charges/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-charges","title":"List all credit card charges","href":"/api-ref/qbd/credit-card-charges/list"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}/void","title":"Void a credit card charge","href":"/api-ref/qbd/credit-card-charges/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-charges/{id}","title":"Delete a credit card charge","href":"/api-ref/qbd/credit-card-charges/delete"}]},{"group":"Credit Card Credits","pages":[{"title":"The Credit Card Credit object","href":"/api-ref/qbd/credit-card-credits/object"},{"openapi":"POST /quickbooks-desktop/credit-card-credits","title":"Create a credit card credit","href":"/api-ref
[...]
